Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface InfoProcessor.StatementInfo

Enclosing interface:
  InfoProcessor<T>

public static interface InfoProcessor.StatementInfo
Interface for information on a statement.

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`RowDescriptor`
`getFields()`
`RowDescriptor`
`getParameters()`
`StatementType`
`getStatementType()`

## Method Details

### getStatementType

StatementType getStatementType()

Returns:
  The Statement Type

### getFields

RowDescriptor getFields()

Returns:
  RowDescriptor of the fields of the statement, never null

### getParameters

RowDescriptor getParameters()

Returns:
  RowDescriptor of the parameters of the statement, never null